# About ToyEd

"A toy text editor in Tcl/Tk for educational purposes."

ToyEd is a toy text editor made for fun and learning. It's not meant for serious use, but rather to be studied and built upon.

ToyEd is written in 650 lines of Tcl/Tk (see below), but has many expected features:

- GUI controls
- keyboard operation
- line and word count
- formatting functions
- display options

ToyEd is open source under the MIT license. See source code:

As of 6 January 2023, the code seems to work right, but hasn't really been tested. Please back up your data.

The user interface should be fairly obvious.

## System requirements

Running ToyEd from source requires Tcl/Tk 8.5 or newer, with Tcllib and Tklib. Both are available on most Linux distributions, or else from the tcl-lang.org website.

Recommended screen resolution: 800x600.

## Credits and support

ToyEd was born from the experience of developing Scrunch Edit TT, and reuses most code from it.

You can usually find me on IRC, in the #ctrl-c channel of tilde.chat, or else as @notimetoplay on the elekk.xyz Mastodon instance. Would love to hear from you.
